Bug 79415 - KDE upgrade breaks X windows
KDE upgrade breaks X windows
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-12-11 10:05 EST by Art Werschulz
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-11 10:05:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Art Werschulz 2002-12-11 10:05:50 EST
Description of Problem:
The KDE upgrade of 2002-12-04 (RHSA-2002:220) breaks X windows

Version-Release number of selected component (if applicable):
This would be at least one of the components of said upgrade.
NOTE: Because of the way this form is set up, I had to choose one specific
component to report.  I chose kdebase, but I don't know for sure which component
of the upgrade is responsible for the problem.

How Reproducible:
I installed the RPMs of this upgrade, and tried to restart X windows
using startx.

Steps to Reproduce:
See above.

Actual Results:
X windows died with the error message
 Fatal server error:
 could not open default font 'fixed'

Expected Results:
I expected X windows to start as usual.

Additional Information:
I submitted this information to kde.org.  The person who was assigned the
problem (Stephan Kulow <coolo@kde.org>) said:
"You should tell whoever did the RPMs, it hasn't been KDE"
Comment 1 Ngo Than 2002-12-12 07:22:53 EST
it's a bug in %post script, which cause the fonts.dir file to lose
world read access. To fix this problem you have to do:

chmod 644 /usr/X11R6/lib/X11/fonts/misc/fonts.dir 

I'm working on errata to fix this problem. It will be released soon.

Note You need to log in before you can comment on or make changes to this bug.